Bug 444592 - Will digiKam work on MacOS Monterey?
Summary: Will digiKam work on MacOS Monterey?
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Bundle-MacOS (show other bugs)
Version: 7.3.0
Platform: macOS (DMG) macOS
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-29 08:51 UTC by Ned
Modified: 2021-12-15 12:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ned 2021-10-29 08:51:05 UTC
I am successfully running digiKam 7.3.0 on a MacBook Pro (Intel) and MacOS BigSur. Do you know if digiKam will run on MacOS Monterey? 

Thanks. Ian Litton
Comment 1 caulier.gilles 2021-10-29 17:09:04 UTC
Hi, Typically yes, but it's not yes tested.

As with Big Sur, you will needs to use Intel emulation with M1 CPI from Apple. We don't yet ported the application under the new architecture.

Currently the MacOS bundle in compiled under Big Sur, not yet Monterrey.

In fact i need to upgrade my MacBook Pro under Monterrey and try to compile whole Macport + the application and libraries. If all is fine, we need to re-install Monterrey in a VM to compile the bundle (yes the application bundle is computed in a virtualbox session).

Gilles Caulier
Comment 2 caulier.gilles 2021-12-13 10:20:31 UTC
Ned,

Stable digiKam 7.4.0 MacOS Package is published. Please check if Monterrey support if fine.

Thanks in advance

Gilles Caulier
Comment 3 Ned 2021-12-15 12:22:13 UTC
I have just installed Digikam 7.4.0 on an intel-based MacBook running Monterey OS 12.1. Everything so far is working as expected. Thanks to all the team for the new version.
Comment 4 caulier.gilles 2021-12-15 12:26:24 UTC
Thanks for the feedback. I close this file now.

Gilles Caulier